diff -r 270723a73207 linux/drivers/media/radio/radio-mr800.c
--- a/linux/drivers/media/radio/radio-mr800.c	Tue Oct 14 20:46:52 2008 +0400
+++ b/linux/drivers/media/radio/radio-mr800.c	Tue Oct 14 21:22:15 2008 +0400
@@ -362,7 +362,7 @@
 
 	radio->curfreq = f->frequency;
 	if (amradio_setfreq(radio, radio->curfreq) < 0)
-		warn("Set frequency failed");
+		printk(KERN_WARNING KBUILD_MODNAME ": Set frequency failed\n");
 	return 0;
 }
 
@@ -417,12 +417,14 @@
 	case V4L2_CID_AUDIO_MUTE:
 		if (ctrl->value) {
 			if (amradio_stop(radio) < 0) {
-				warn("amradio_stop() failed");
+				printk(KERN_WARNING KBUILD_MODNAME
+						": amradio_stop() failed\n");
 				return -1;
 			}
 		} else {
 			if (amradio_start(radio) < 0) {
-				warn("amradio_start() failed");
+				printk(KERN_WARNING KBUILD_MODNAME
+						": amradio_start() failed\n");
 				return -1;
 			}
 		}
@@ -476,12 +478,13 @@
 	radio->muted = 1;
 
 	if (amradio_start(radio) < 0) {
-		warn("Radio did not start up properly");
+		printk(KERN_WARNING KBUILD_MODNAME
+					": Radio did not start up properly\n");
 		radio->users = 0;
 		return -EIO;
 	}
 	if (amradio_setfreq(radio, radio->curfreq) < 0)
-		warn("Set frequency failed");
+		printk(KERN_WARNING KBUILD_MODNAME ": Set frequency failed\n");
 	return 0;
 }
 
@@ -506,7 +509,7 @@
 	struct amradio_device *radio = usb_get_intfdata(intf);
 
 	if (amradio_stop(radio) < 0)
-		warn("amradio_stop() failed");
+		printk(KERN_WARNING KBUILD_MODNAME ": amradio_stop() failed\n");
 
 	printk(KERN_INFO KBUILD_MODNAME ": Going into suspend..\n");
 
@@ -519,7 +522,8 @@
 	struct amradio_device *radio = usb_get_intfdata(intf);
 
 	if (amradio_start(radio) < 0)
-		warn("amradio_start() failed");
+		printk(KERN_WARNING KBUILD_MODNAME
+						": amradio_start() failed\n");
 
 	printk(KERN_INFO KBUILD_MODNAME ": Coming out of suspend..\n");
 
@@ -600,7 +604,8 @@
 
 	video_set_drvdata(radio->videodev, radio);
 	if (video_register_device(radio->videodev, VFL_TYPE_RADIO, radio_nr)) {
-		warn("Could not register video device");
+		printk(KERN_WARNING KBUILD_MODNAME
+					": Could not register video device\n");
 		video_device_release(radio->videodev);
 		kfree(radio->buffer);
 		kfree(radio);
@@ -618,7 +623,8 @@
 	printk(KERN_INFO KBUILD_MODNAME ": "
 			DRIVER_VERSION " " DRIVER_DESC "\n");
 	if (retval)
-		err("usb_register failed. Error number %d", retval);
+		printk(KERN_ERR KBUILD_MODNAME
+			": usb_register failed. Error number %d\n", retval);
 	return retval;
 }
 
